Switch to ST_ prefixed functions in PostGIS provider

2011-07-06 11:07 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14038

Description

non-ST prefixed functions are about to be dropped from PostGIS (2.0)

ST_ version were available since postgis 1.2

previous debian stable (lenny) shipped postgis 1.3

it seems to me that nothing prevents qgis from switching to use ST_, and document requirement of PostGIS-1.2 or higher

NOTE that a noticable exception to this is 'geometrytype', which will be kept as non-ST prefixed (as the ST_ prefixed version is

documented to require different output from ISO).

PostGIS 2.0 is due for September so I think it's worth fixing for the 1.7 branch too.

I'll take careful testing of PostGIS-1.2 and PostGIS-2.0.

I could work on this if you agree on the principle.

History

#1 - 2011-07-15 12:56 AM - Jürgen Fischer

what's missing in commit:970737061582e5443769f260ee13e32a792792b1?  AFAICS the switch is already done.

#2 - 2011-07-15 12:57 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2011-07-15 01:56 AM - Sandro Santilli

You're probably right. Was it also backported to 1.7 ?

#4 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#5 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#6 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#7 - 2011-12-16 11:32 AM - Sandro Santilli
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed

I'm using 1.7.3 with no problems, so this seems good.
